DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# LnNormError

difference measure

## SYNOPSIS

dip_Error dip_LnNormError ( in1, in2, mask, out, order )

## DATA TYPES

binary, integer, float, complex

## FUNCTION

Calculates the `order` norm difference between each pixel value of `in1` and `in2`. Optionally the `mask` image can be used to exclude pixels from the calculation by setting the value of these pixels in `mask` to zero.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in1` | First input
`dip_Image` | `in2` | Second input
`dip_Image` | `mask` | Mask
`dip_Image` | `out` | Output
`dip_float` | `order` | Order

## SEE ALSO

`MeanError`, `MeanSquareError`, `RootMeanSquareError`, `MeanAbsoluteError`, `IDivergence`